// MapTileSaveDlg.cpp : implementation file
//

#include "stdafx.h"
#include "mapeditor.h"
#include "MapTileSaveDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMapTileSaveDlg dialog


CMapTileSaveDlg::CMapTileSaveDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CMapTileSaveDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CMapTileSaveDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CMapTileSaveDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMapTileSaveDlg)
	DDX_Control(pDX, IDC_COMBO_TILE_SIZE, m_comboTileSizeType);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CMapTileSaveDlg, CDialog)
	//{{AFX_MSG_MAP(CMapTileSaveDlg)
	ON_CBN_SELCHANGE(IDC_COMBO_TILE_SIZE, OnSelchangeComboTileSize)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMapTileSaveDlg message handlers

void CMapTileSaveDlg::OnSelchangeComboTileSize() 
{
	m_bySizeType = m_comboTileSizeType.GetCurSel();
}

BOOL CMapTileSaveDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	m_bySizeType = 0;	
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
